%define name 	gnochm
%define version 0.9.11
%define release %mkrel 2

Summary: 	A chm file viewer for gnome
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Graphical desktop/GNOME
URL: 		http://gnochm.sourceforge.net/
Source: 	%{name}-%{version}.tar.bz2
Patch0:		gnochm-makefile.patch
Patch1:         gnochm.py.in.patch
Patch2:		gnochm-0.9.11-fixconfigure.patch
BuildRoot: 	%_tmppath/%{name}-%{version}-buildroot
BuildRequires: scrollkeeper
# needed for aclocal
BuildRequires: intltool
BuildRequires: gettext-devel
BuildRequires: libGConf2-devel
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: pygtk2.0-libglade
Requires: gnome-python-bonobo
Requires: gnome-python-gconf
Requires: python-chm
Requires: gnome-python-gnomevfs
Requires: gnome-python-gtkhtml2
Requires: gnome-python

%description
A CHM file viewer for Gnome. Features are:

  * Full text search
  * Bookmarks
  * Support for external ms-its links
  * Configurable support for http links
  * Internationalisation

%prep
%setup -q

%patch0 -p0 -b .makefile
%patch1 -p0 -b .makefile
%patch2 -p1 -b .fixconfigure

#rebuild
aclocal
autoconf
automake

%build
%configure --prefix=%{_prefix}  CFLAGS=%{?_smp_mflags} %{?mflags} --disable-mime-update
%{__make} %{?_smp_mflags} %{?mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export UPDATE_MIME_DATABASE=true
export UPDATE_DESKTOP_DATABASE=true
%{__make} %{?mflags_install} DESTDIR=$RPM_BUILD_ROOT install

%find_lang %name --with-gnome

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Name=GnoCHM
Encoding=UTF-8
Comment=A chm file viewer for gnome
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Office;Viewer;X-MandrivaLinux-MoreApplications-Development-Tools;
MimeType=application/x-chm;
EOF

%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT

%post
%{update_desktop_database}
%update_menus
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnochm.schemas > /dev/null
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi
touch %{_datadir}/gnome/help/%{name}/C/%{name}.html
if [ -x %{_bindir}/yelp-pregenerate ]; then %{_bindir}/yelp-pregenerate %{_datadir}/gnome/help/%{name}/*/%name.xml > /dev/null; fi
%update_mime_database

%preun
if [ $1 -eq 0 ]; then
  GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnochm.schemas > /dev/null
fi

%postun
%{clean_desktop_database}
%clean_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi
%clean_mime_database

%files -f %{name}.lang
%defattr(-,root,root)

%doc ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/gconf/schemas/gnochm.schemas

%{_bindir}/gnochm
%dir %{_datadir}/gnochm/
%dir %{_datadir}/gnochm/glade/
%{_datadir}/gnochm/glade/*.glade
%{_datadir}/omf/gnochm/
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%{_datadir}/applications/pclinuxos-%{name}.desktop
%{_datadir}/mime-info/gnochm.*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/application-registry/gnochm.*


%changelog
* Wed Apr 30 2008 don_crissti <don_crissti@gmx.com> 0.9.11-2pclos2007
- added patch2

* Mon Mar 24 2008 don_crissti <don_crissti@gmx.com> 0.9.11-1pclos2007
- build for PCLinuxOS
